Package net.dona.doip

# Class DoipRequestHeaders

java.lang.Object
net.dona.doip.DoipRequestHeaders

Direct Known Subclasses:
  `DoipRequestHeadersWithRequestId`

public class DoipRequestHeaders extends Object
The initial segment of a properly formed DOIP request, except the requestId which will be generated by processing code. See also `DoipRequestHeadersWithRequestId`. Can be serialized or deserialized using Gson.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `com.google.gson.JsonObject`
  `attributes`
  Attributes supplied to the operation.
  `com.google.gson.JsonElement`
  `authentication`
  Authentication information; the structure depends on the authentication method used.
  `String`
  `clientId`
  The id of the calling entity.
  `com.google.gson.JsonElement`
  `input`
  Input supplied to the operation, when supplied in "compact" form as a single JSON segment.
  `String`
  `operationId`
  The id of the operation to be performed.
  `String`
  `targetId`
  The id of the object on which the operation is to be performed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoipRequestHeaders()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clientId

    public String clientId
    The id of the calling entity.

  - ### targetId

    public String targetId
    The id of the object on which the operation is to be performed.

  - ### operationId

    public String operationId
    The id of the operation to be performed.

  - ### attributes

    public com.google.gson.JsonObject attributes
    Attributes supplied to the operation.

  - ### authentication

    public com.google.gson.JsonElement authentication
    Authentication information; the structure depends on the authentication method used.

  - ### input

    public com.google.gson.JsonElement input
    Input supplied to the operation, when supplied in "compact" form as a single JSON segment. More generally, input to the operation is supplied using the remaining segments of the request.

- ## Constructor Details

  - ### DoipRequestHeaders

    public DoipRequestHeaders()